diff --git a/scripts/deploy_artifacts.sh b/scripts/deploy_artifacts.sh
index 0e13e0797ba8b39f087dbf001e70b6730660b8f6..68e24a4913de0a8ca76abb1a840d8f7e80610274 100644
--- a/scripts/deploy_artifacts.sh
+++ b/scripts/deploy_artifacts.sh
@@ -1,4 +1,6 @@
 #!/bin/ash
+set -e 
+set -x
 
 BASE_DIRECTORY=$1          
 ART_PATH=$2